--pps_dispatch start
--托运商气量拆分-增加运维功能
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD form_state int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.form_state IS '表单状态';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD analysis_state int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.analysis_state IS '推送数据到分析库的状态（0 未推送 1 推送成功 2 推送失败）';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD analysis_log varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.analysis_log IS '推送分析库-日志';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD old_pps_state int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.old_pps_state IS '退送数据到过渡期状态（0 未推送 1 推送成功 2 推送失败）';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD old_pps_log varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.old_pps_log IS '推送数据到过渡期-日志';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD station_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.station_id IS '场站id';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD station_name varchar(100) NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.station_name IS '场站名称';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD data_date timestamp(3) NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.data_date IS '数据日期';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD report_user_login_name varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.report_user_login_name IS '填报人';
ALTER TABLE pps_dispatch.disp_shipper_gas_split_daily_report_form_state ADD report_date timestamp(3) NULL;
COMMENT ON COLUMN pps_dispatch.disp_shipper_gas_split_daily_report_form_state.report_date IS '填报日期';


--更新托运商气量拆分状态数据
update pps_dispatch.disp_shipper_gas_split_daily_report_form_state a
set a.station_id = t.station_id,
a.station_name = t.station_name,
a.data_date =t.data_date,
a.report_user_login_name = t.create_by_name,a.report_date = t.create_time
from (
select
form_id,min(station_id) station_id,min(station_name) station_name,
min(data_date) data_date,min(create_by_name) create_by_name,min(create_time) create_time
from pps_dispatch.disp_shipper_gas_split_daily_report
group by form_id
) t
where a.id = t.form_id;

update pps_dispatch.disp_shipper_gas_split_daily_report_form_state
set form_state = state;

update pps_dispatch.disp_shipper_gas_split_daily_report_form_state
set analysis_state = 1,old_pps_state = 1
where state in (11,13,14,2);
--pps_dispatch end