package pps.core.base.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.base.service.BaseBaseSmallMeteringAppliancesGroupService;
import pps.cloud.base.service.data.GetBaseSmallMeteringAppliancesGroupInput;
import pps.cloud.base.service.data.GetBaseSmallMeteringAppliancesGroupOutput;
import pps.core.base.entity.BaseSmallMeteringAppliancesGroupEnt;
import pps.core.base.mapper.BaseSmallMeteringAppliancesGroupMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XSingleResult;
import xstartup.error.XError;

@XService
public class BaseBaseSmallMeteringAppliancesGroupServiceImpl implements BaseBaseSmallMeteringAppliancesGroupService {

    @Override
    public XSingleResult<GetBaseSmallMeteringAppliancesGroupOutput> getBaseSmallMeteringAppliancesGroup(XContext context, GetBaseSmallMeteringAppliancesGroupInput input) {
        BaseSmallMeteringAppliancesGroupMapper mapper = context.getBean(BaseSmallMeteringAppliancesGroupMapper.class);
        QueryWrapper<BaseSmallMeteringAppliancesGroupEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(BaseSmallMeteringAppliancesGroupEnt::getId, input.getId());
        BaseSmallMeteringAppliancesGroupEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetBaseSmallMeteringAppliancesGroupOutput output = new GetBaseSmallMeteringAppliancesGroupOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }
}
