--pps_base_info start
--增加操作约束表
CREATE TABLE pps_base_info.base_operational_constraint(
	id varchar(40) NOT NULL, -- 主键
	busine_type varchar(40) NULL, --业务类型
	save_submit_time varchar(10) NULL, -- 保存或提交截止时间(格式 18:00)
	audit_time varchar(10) NULL, -- 审核截止时间(格式 18:00)
	apply_change_time varchar(10) NULL, --申请变更截止时间(格式 18:00)
	create_by_id varchar(40) NULL, -- 创建人
	create_by_name varchar(100) NULL, -- 创建人名称
	create_time timestamp(3) NULL, -- 创建时间
	modify_by_id varchar(40) NULL, -- 修改人
	modify_by_name varchar(50) NULL, -- 修改人名称
	modify_time timestamp(3) NULL, -- 修改时间
	CONSTRAINT ops_base_operational_constraint_pkey PRIMARY KEY (id)
)
WITH (
	orientation=row,
	compression=no
);
COMMENT ON TABLE pps_base_info.base_operational_constraint IS '操作约束表';


COMMENT ON COLUMN pps_base_info.base_operational_constraint.id IS '场站组织机构关系(主键)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.busine_type IS '业务类型';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.save_submit_time IS '保存或提交截止时间(格式 18:00)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.audit_time IS '审核截止时间(格式 18:00)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.apply_change_time IS '申请变更截止时间(格式 18:00)';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.base_operational_constraint.modify_time IS '修改时间';

INSERT INTO pps_base_info.base_operational_constraint (id, busine_type, save_submit_time, audit_time, apply_change_time, create_by_id, create_by_name, create_time, modify_by_id, modify_by_name, modify_time) VALUES('5E1D6FF9-E5EC-49A1-ACFA-39E685408D4F', 'SHIPPER_GAS_SPLIT', '11:00', '11:00', '11:00', NULL, NULL, NULL, NULL, NULL, NULL);

--pps_base_info end